Bug 62797 - gcc 3.1-0.23.1 ICE on legal but silly code
gcc 3.1-0.23.1 ICE on legal but silly code
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc3 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-05 13:06 EST by Peter Klotz
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 15:56:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Klotz 2002-04-05 13:06:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:0.9.9) Gecko/20020311

Description of problem:
The program under "Additional Information" produces an Internal Compiler Error.
Happens also with gcc 2.96 and gcc 2.95.3.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Compile
2.Run
3.
	

Actual Results:  ICE

Expected Results:  Some compiler message about exceeding system limits.

Additional info:

int main(void)
{
	int i[1000000000];
	return 0;
}
Comment 1 Richard Henderson 2004-10-02 15:56:40 EDT
Fixed for gcc 3.0.

z.c:3: size of variable `i' is too large

Note You need to log in before you can comment on or make changes to this bug.